<?php
//*********************************************************************************
	//JoomlaPedigreesManager v2.0 for Joomla! v1.5.xx by C.Stinson - AdobeCactus.com
	//This program is free software; you can redistribute it and/or
	//modify it under the terms of the GNU General Public License
	//as published by the Free Software Foundation; either version 2
	//of the License, or (at your option) any later version.

	//This program is distributed in the hope that it will be useful,
	//but WITHOUT ANY WARRANTY; without even the implied warranty of
	//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	//GNU General Public License for more details.
//*********************************************************************************
// no direct access
defined('_JEXEC') or die('Restricted access');

// Require the base controller
jimport('joomla.application.component.model');

class JoompedigreesModelhorse extends JModel
{

	// constructor that retrieves the ID from the request
	function __construct()
	{
		parent::__construct();

		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);
	}

	// method to set identifier
	function setId($id)
	{
		// set id and wipe data
		$this->_id		= $id;
		$this->_data	= null;
	}

	// method to get a horse
	function &getData()
	{
		// load the data
		if (empty( $this->_data )) {
			$query = ' SELECT * FROM #__joompedigrees_horses '.
					'  WHERE horse_id = '.$this->_id;
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();
		}
		if (!$this->_data) {
			$this->_data = new stdClass();
			$this->_data->horse_id = 0;
			$this->_data->name_id = null;
			$this->_data->name = null;
			$this->_data->breed = null;
			$this->_data->colour = null;
			$this->_data->pattern = null;
			$this->_data->discipline = null;
			$this->_data->gender = null;
			$this->_data->created = null;
			$this->_data->fixed = null;
			$this->_data->notes = null;
			$this->_data->vet_history = null;
			$this->_data->h_title = null;			
			$this->_data->sire_id = null;
			$this->_data->dam_id = null;
			$this->_data->mate_id = null;			
			$this->_data->imageurl = null;
			$this->_data->owner = null;
			$this->_data->email = null;
			$this->_data->published = null;
		}
		return $this->_data;
	}

	function store()
	{
		$row =& $this->getTable();

		$data = JRequest::get( 'post' );

		// bind the form fields to the horse table
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// make sure the horse record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		// store the web link table to the database
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}

		return true;
	}
	//get the mom's ids
//	function option( $value, $text='', $value_name='value', $text_name='text', $disable=false )
//	{
//		$obj = new stdClass;
//		$obj->$value_name	= $value;
//		$obj->$text_name	= trim( $text ) ? $text : $value;
//		$obj->disable		= $disable;
//		return $obj;
//	}	
   function &getMom()
     {	
			$db = &JFactory::getDBO();
			$query = ' SELECT horse_id AS value, name_id AS text FROM #__joompedigrees_horses ';
			$db->setQuery($query);
			$rows = $db->loadObjectList();

			$options = array();
			foreach( $rows as $i => $options) {
				$row =& $rows[$i];
				$options = JHTML::_('select.option','0', JText::_('Select'), '- ');
				
			return $rows;
			
    }
}			
   //get the mom's ids
//   function &getMom()
//     {
//         $db = &JFactory::getDBO();
//         $query = ' SELECT * FROM #__joompedigrees_horses ';
//         $db->setQuery($query);
//       	 $rows = $db->loadObjectList();
//       	 $options = array();
//         for ($i=0; $i<count($rows); $i++) :
//            $row = $rows[$i];
//            $options[] = JHTML::_('select.option',$row->horse_id, $row->name_id );
//         endfor;
//         
//       return $options;

//get mom//	
	// method to delete records
	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );

		$row =& $this->getTable();

		if (count( $cids ))
		{
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}						
		}
		return true;
	}
}
?>
