<?php
//*********************************************************************************
	//Joomla Pedigrees Manager v2.1for Joomla! v1.5.x by C.Stinson - AdobeCactus.com
	//This program is free software; you can redistribute it and/or
	//modify it under the terms of the GNU General Public License
	//as published by the Free Software Foundation; either version 2
	//of the License, or (at your option) any later version.

	//This program is distributed in the hope that it will be useful,
	//but WITHOUT ANY WARRANTY; without even the implied warranty of
	//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	//GNU General Public License for more details.
//*********************************************************************************
// no direct access
defined('_JEXEC') or die('Restricted access'); 
jimport('joomla.application.component.model');

class JoompedigreesModelHorsedetails extends JModel
{
    
    // returns the horse details to a given horse Id (date already formatted as given in language file)
	function getHorsedetails( $horseid )
	{
			$query	= 	"SELECT 
			
						horse.horse_id, horse.name_id, horse.name, horse.breed, horse.colour, horse.pattern, horse.birth_date, horse.created, horse.discipline, horse.h_title, horse.date_of_death, horse.death_reason, horse.gender, horse.fixed, horse.dam_id, horse.sire_id, horse.mate_id, horse.stable, horse.notes, horse.vet_history, horse.owner, horse.email, horse.availability, horse.imageurl, horse.price, horse.published, 
						DATE_FORMAT(horse.birth_date, '" . JText::_('DATE_FORMAT') . "') AS birth_date_f,  
						DATE_FORMAT(horse.date_of_death, '" . JText::_('DATE_FORMAT') . "') AS date_of_death_f,
						DATE_FORMAT(horse.updated, '" . JText::_('DATE_FORMAT')."') AS updated_f
						
						FROM #__joompedigrees_horses AS horse 
						WHERE horse_id = " . $horseid;
		
			$result = $this->_getList( $query );
		
	return $result;
	}

	/*
        returns all siblings to a given horseid
	    siblings are horses having the same parents as the given horse, but not the given horse itself   
    */
	function getSiblings( $horseid )
	{
			$query	= 	"SELECT 
				
						horse.horse_id, horse.name_id, horse.name, horse.birth_date,
						DATE_FORMAT(horse.birth_date, '" . JText::_('DATE_FORMAT') . "') AS birth_date_f,  
						DATE_FORMAT(horse.date_of_death, '" . JText::_('DATE_FORMAT') . "') AS date_of_death_f
				
						FROM #__joompedigrees_horses AS horse
						WHERE sire_id = (SELECT sire_id FROM #__joompedigrees_horses
											         WHERE horse_id = " . $horseid . ")
						AND dam_id = (SELECT dam_id FROM #__joompedigrees_horses
											       WHERE horse_id = " . $horseid . ")
						AND horse_id <> " . $horseid . "
						AND dam_id <> 0
						AND sire_id <> 0
					  AND birth_date < '" . _PROTECTION_DATE_ . "'
            AND published = 1
            ";
			
			$result = $this->_getList( $query );

	return $result;
	}
	
	// returns all offspring to a given horseid. gender needed to know if we have to search for the horseid as sire or dam
	function getOffspring( $horseid, $gender )
	{
  			
  			$parentColumn = $gender=="M" ? "sire_id" : "dam_id";
  			
            $query	= 	"SELECT 
				
						horse.horse_id, horse.name_id, horse.name, horse.breed, horse.colour, horse.discipline, horse.pattern, horse.created, horse.price, horse.email,
						horse.death_reason, horse.sire_id, horse.dam_id, horse.gender, horse.availability, horse.imageurl, horse.notes, horse.published,
						DATE_FORMAT(horse.birth_date, '" . JText::_('DATE_FORMAT') . "') AS birth_date_f,  
						DATE_FORMAT(horse.date_of_death, '" . JText::_('DATE_FORMAT') . "') AS date_of_death_f
				
						FROM #__joompedigrees_horses AS horse 
						WHERE ".$parentColumn." = ".$horseid.
            " AND birth_date < '" . _PROTECTION_DATE_ . "'
              AND published = 1
            ";			
			
            $result = $this->_getList( $query );
			
        return $result;
    }
}
?>
