<?php
//*********************************************************************************
	//Joomla Pedigrees Manager v2.1for Joomla! v1.5.x by C.Stinson - AdobeCactus.com
	//This program is free software; you can redistribute it and/or
	//modify it under the terms of the GNU General Public License
	//as published by the Free Software Foundation; either version 2
	//of the License, or (at your option) any later version.

	//This program is distributed in the hope that it will be useful,
	//but WITHOUT ANY WARRANTY; without even the implied warranty of
	//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	//GNU General Public License for more details.
//*********************************************************************************
defined('_JEXEC') or die('Restricted access'); 
jimport('joomla.application.component.model');

class JoompedigreesModelHorselist extends JModel
{
    // builds query to get all horses matching the given qname (if not set, all horses) using an ordering
	function _getHorselistQuery( $qname , $order="name", $orderdir="asc")
	{	
		$select = "horse.horse_id, horse.name_id, horse.name, horse.availability, horse.breed, horse.colour, horse.discipline, horse.imageurl, horse.price, horse.email,
					DATE_FORMAT(horse.birth_date, '".JText::_('DATE_FORMAT')."') AS birth_date_f, 
                    DATE_FORMAT(horse.date_of_death, '".JText::_('DATE_FORMAT')."') AS date_of_death_f,
                    DATE_FORMAT(horse.updated, '".JText::_('DATE_FORMAT')."') AS updated_f";
                    
		$from	= '#__joompedigrees_horses AS horse';
		
		$where = "WHERE horse.birth_date < '" . _PROTECTION_DATE_ . "' AND horse.published = 1 ";	
		
		if($qname!= "") {
			$where .= "AND name like '%".$qname."%'";
		}
		
		if($order!=null){
            if($orderdir != "asc" && $orderdir != "desc"){
                $orderdir = "asc";
            }
            $sorter = "order by ".$order." ".$orderdir;
        } else {
            $sorter = "";
        }
        
		$query = "SELECT ".$select." FROM ".$from." ".$where." ".$sorter;   
        
    return $query;
	}
	
	// returns data of all horses matching the given qname ordered by the given column beginning from $begin
	function getHorselist( $qname, $order="name", $orderdir="asc", $begin=0 )
	{
		$query = $this->_getHorselistQuery( $qname, $order, $orderdir);
		$result = $this->_getList( $query , $begin, _PL_HORSES_PER_PAGE_);
		return @$result;
	}
	
	// returns the amount of rows to the given qname
	function getHorselistCount( $qname )
	{
        $query	= $this->_getHorselistQuery( $qname );
    	$anz = $this->_getListCount($query);
		return @$anz;
	}
	
}
?>
