<?php
//*********************************************************************************
	//Joomla Pedigrees Manager v2.1for Joomla! v1.5.x by C.Stinson - AdobeCactus.com
	//This program is free software; you can redistribute it and/or
	//modify it under the terms of the GNU General Public License
	//as published by the Free Software Foundation; either version 2
	//of the License, or (at your option) any later version.

	//This program is distributed in the hope that it will be useful,
	//but WITHOUT ANY WARRANTY; without even the implied warranty of
	//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	//GNU General Public License for more details.
//*********************************************************************************
// no direct access
defined('_JEXEC') or die('Restricted access');

class JoompedigreesControllerHorse extends JoompedigreesController
{
  // constructor - registers additional tasks to methods
	function __construct()
	{
		parent::__construct();

		// register extra tasks
		$this->registerTask( 'add'  , 	'edit' );
		$this->registerTask( 'unpublish', 	'publish');
	}


	// display the form	 
	function edit()
	{
		JRequest::setVar( 'view', 'horse' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);
		


		parent::display();
}

	// save a record and redirect to main page
	function save()
	{
		$model = $this->getModel('horse');

		if ($model->store($post)) {
			$msg = JText::_( 'Horse saved!' );
		} else {
			$msg = JText::_( 'Error Saving Horse' );
		}

		$link = 'index.php?option=com_joompedigrees';
		$this->setRedirect($link, $msg);
	}


	// remove records
	function remove()
	{
		$model = $this->getModel('horse');
		if(!$model->delete()) {
			$msg = JText::_( 'Error: One or more horses could not be deleted' );
		} else {
			$msg = JText::_( 'Horse(s) Deleted' );
		}

		$this->setRedirect( 'index.php?option=com_joompedigrees', $msg );
	}


	// publishes or unpublishes one or more records
	function publish()
	{
		$this->setRedirect( 'index.php?option=com_joompedigrees' );

		// Initialize variables
		$db			=& JFactory::getDBO();
		$user		=& JFactory::getUser();
		$cid		= JRequest::getVar( 'cid', array(), 'post', 'array' );
		$task		= JRequest::getCmd( 'task' );
		$publish	= ($task == 'publish');
		$n			= count( $cid );

		if (empty( $cid )) {
			return JError::raiseWarning( 500, JText::_( 'No items selected' ) );
		}

		JArrayHelper::toInteger( $cid );
		$cids = implode( ',', $cid );

		$query = 'UPDATE #__joompedigrees_horses'
		. ' SET published = ' . (int) $publish
		. ' WHERE horse_id IN ( '. $cids .' )'
		;
		$db->setQuery( $query );
		if (!$db->query()) {
			return JError::raiseWarning( 500, $row->getError() );
		}
		$this->setMessage( JText::sprintf( $publish ? 'Items published' : 'Items unpublished', $n ) );
	}
	
	//cancel editing a record
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_joompedigrees', $msg );
	}

}
?>
