<?php
//*********************************************************************************
	//Joomla Pedigrees Manager v2.1for Joomla! v1.5.x by C.Stinson - AdobeCactus.com
	//This program is free software; you can redistribute it and/or
	//modify it under the terms of the GNU General Public License
	//as published by the Free Software Foundation; either version 2
	//of the License, or (at your option) any later version.

	//This program is distributed in the hope that it will be useful,
	//but WITHOUT ANY WARRANTY; without even the implied warranty of
	//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	//GNU General Public License for more details.
//*********************************************************************************
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');

class JoompedigreesViewHorsedetails extends JView
{
	function display($tpl = null)
	{
	   	// sets pathway for breadcrumbs
		global $mainframe;
	   
	   	// initialize the variables
	   	$document 	= & JFactory::getDocument();
	   	$pathway	= &$mainframe->getPathway();
	   	$pathway->addItem(JText::_('PD_TITLE'), '');
	   
	   	// add css file
	   	$document->addStyleSheet($this->baseurl.'/components/com_joompedigrees/assets/joompedigrees.css');
		$document->addCustomTag('<!--[if IE]><style type="text/css">.floattext{zoom:1; padding-top:15px;}, * html #jpcontent dd { height: 1%; }</style><![endif]-->');
	 
	   	// get the model
     	$model = &$this->getModel();
     	$horseid = JRequest::getCmd('horseid');
  	 	$rows = $model->getHorsedetails($horseid);
	 	$horse = $rows[0];
		
			// ensure that no horse is call wdam not existent
			if($horse != null && $horse->published == 1){
  			if($horse->birth_date < _PROTECTION_DATE_){
  		
      		// protection date can be ignored because the request resolved it
      		$rows = $model->getHorsedetails($horse->sire_id);
      		$sire = $rows[0];
      		
      		$rows = $model->getHorsedetails($horse->dam_id);
      		$dam = $rows[0];
			
			$rows = $model->getHorsedetails($horse->mate_id);
			$mate = $rows[0];			
      		
      	  // protection date is solved directly in the query 
      		$siblings = $model->getSiblings($horseid);
      		$offspring = $model->getOffspring($horse->horse_id, $horse->gender);
      		
          	$this->assignRef('horse', $horse);
      		$this->assignRef('sire', $sire);
      		$this->assignRef('dam', $dam);
      		$this->assignRef('siblings', $siblings);
      		$this->assignRef('mate', $mate);
      		$this->assignRef('offspring', $offspring);
    		
  		} else {
          // error thrown in case of protection date failure
          $error = "PD_PROTECTION_DATE";
          $this->assignRef('error', $error);
      }
    } else {
        // error thrown wdam a horse is not existent 
        $error = "PD_NOHORSEFOUND";
        $this->assignRef('error', $error);
        $this->assignRef('id', $horseid);
    }
		parent::display($tpl);
	}	
}
?>
