<?php 
//*********************************************************************************
	//Joomla Pedigrees Manager v2.1for Joomla! v1.5.x by C.Stinson - AdobeCactus.com
	//This program is free software; you can redistribute it and/or
	//modify it under the terms of the GNU General Public License
	//as published by the Free Software Foundation; either version 2
	//of the License, or (at your option) any later version.

	//This program is distributed in the hope that it will be useful,
	//but WITHOUT ANY WARRANTY; without even the implied warranty of
	//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	//GNU General Public License for more details.
//*********************************************************************************
defined('_JEXEC') or die('Restricted access'); 
require_once (JPATH_COMPONENT.DS.'includes'.DS.'menu.php');
?>

<div class="componentheading">
	<?php echo JText::_('PL_HEADING'); ?>
</div>

<?php

// set orderdir asc for all columns actually not ordered
// desc only for column actually ordered asc
$orderdirs = array("asc", "asc", "asc", "asc", "asc");
$columns = array("imageurl", "name_id", "name", "availability", "breed", "colour", "discipline", "birth_date");

for($i = 0; $i<7; $i++){
    if($this->order == $columns[$i] && $this->orderdir=="asc") {
        // if just ordered by this column and orderdir was asc, set orderdir to desc
        $orderdirs[$i]="desc";
    }
}


$sortLinkBase = "index.php?option=com_joompedigrees&view=horselist&qname=$this->qname";

if($this->anz != 0) {

    echo "[".$this->anz."]-";
    if(!empty($this->qname)){
        echo JText::sprintf('PL_RESULTCOUNT', $this->qname);
    } else {
        echo JText::_('PL_RESULTCOUNT_NO_CONSTRAINT');
    }
    echo "<br/><br/>";
    
    
    $i = 0;
    echo JText::_('PL_PAGE')." ";
    while($i<$this->anz){
        $pageCount = $i / _PL_HORSES_PER_PAGE_ +1;
        if($i == $this->begin)
        { 
            echo "<b>[".$pageCount."]</b> ";  
        } else {
            echo "<a href=".JRoute::_($sortLinkBase."&begin=".$i."&order=".$this->order."&orderdir=".$this->orderdir ).">".$pageCount."</a> ";
        }
        $i+=_PL_HORSES_PER_PAGE_;
    }
    
?>
    <br/><br/>
          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="content_table">        
<tr class="sectiontableheader"> 
<td width="11%" class="sectiontableheader"><div align="center"><a href="<?php echo JRoute::_( $sortLinkBase."&order=name_id&orderdir=".$orderdirs[0]); ?>"><?php echo JText::_('NAMEID'); ?></a>
      </th>
</div>
<td width="19%" class="sectiontableheader"><div align="center"><a href="<?php echo JRoute::_( $sortLinkBase."&order=imageurl&orderdir=".$orderdirs[1]); ?>"><?php echo JText::_('IMAGE'); ?></a>
      </th>
</div>
<td width="7%" class="sectiontableheader"><div align="center"><a href="<?php echo JRoute::_( $sortLinkBase."&order=availability&orderdir=".$orderdirs[2]); ?>"><?php echo JText::_('AVAILABILITY'); ?></a>
</div>
<td width="16%" class="sectiontableheader"><div align="center"><a href="<?php echo JRoute::_( $sortLinkBase."&order=breed&orderdir=".$orderdirs[3]); ?>"><?php echo JText::_('BREED'); ?></a>
      </th>
</div>
<td width="16%" class="sectiontableheader"><div align="center"><a href="<?php echo JRoute::_( $sortLinkBase."&order=colour&orderdir=".$orderdirs[4]); ?>"><?php echo JText::_('COLOUR'); ?></a>
      </th>
</div>
<td width="16%" class="sectiontableheader"><div align="center"><a href="<?php echo JRoute::_( $sortLinkBase."&order=discipline&orderdir=".$orderdirs[5]); ?>"><?php echo JText::_('PATTERN'); ?></a>
      </th>
</div>
<td width="15%" class="sectiontableheader"><div align="center"><a href="<?php echo JRoute::_( $sortLinkBase."&order=birth_date&orderdir=".$orderdirs[6]); ?>"><?php echo JText::_('BIRTH'); ?></a>
      </th>             
</div></tr>
    
    <?php
    foreach ($this->rows as $row) {
    ?>
        <tr class="sectiontable">                    
        			<td><div align="center"><a href="index.php?option=com_joompedigrees&view=horsedetails&horseid=<?php echo $row->horse_id; ?>"> <?php echo  $row->name_id; ?></a></div></td>
                    <td><div align="center"><a href="index.php?option=com_joompedigrees&view=horsedetails&horseid=<?php echo $row->horse_id; ?>"><img src="images/stories/horses/<?php echo $row->imageurl;?>" name="<?php echo $row->imageurl;?>" width="80" height="80" border="0" alt="<?php echo $row->imageurl;?>" /></a></div></td> 
                    <td><div align="center"><?php $c = 0;
								$d = 1;
									if ($row->availability==$c) {
										echo  " No ";
									}
									if ($row->availability==$d) {
										echo  " Yes ";
										} ?></div></td>
                    <td><div align="center"><?php echo  $row->breed; ?></div></td>               
                    <td><div align="center"><?php echo  $row->colour; ?></div></td>
                    <td><div align="center"><?php echo  $row->discipline; ?></div></td>
                    <td><div align="center"><?php echo  $row->birth_date_f; ?></div></td>
            </tr>         
    <?php 
    }

} else {
    
    // No Records Found
    
    if(!empty($this->qname)){
        echo JText::sprintf('PL_NO_RESULTS', $this->qname);
    } else {
        echo JText::_('PL_NO_RESULTS_NO_CONSTRAINT');
    }
    
}

?>
</table>

<br/>
